<div class="eui-u-pt-l">
  <a euiButton class="sr-language-selector eui-u-ph-none" aria-label="Popover Icon Button"
    (click)="openPopover($event)">
    <span
    class="sr-selected-language eui-u-c-white eui-u-f-bold eui-u-pv-none eui-u-ph-2xs eui-u-text-smaller eui-u-mr-2xs">{{ selectedLanguage.code | uppercase }}</span>
    <span
    class="eui-u-c-branding eui-u-f-bold">{{ 'app.features.asset.details.languageSelector.buttonLabel' | translate:{availableLanguages: locales.length + 1} }}</span>
  </a>
  @if (locales.length) {
    <eui-popover #popover
      class="sr-language-selector-width"
      [title]="'app.features.asset.details.languageSelector.popoverTitle' | translate" [position]="'bottom'">
      <div class="eui-u-display-flex eui-u-flex-wrap eui-u-flex-justify-content-start sr-language-selector-width">
        <button
          class="sr-language-selector-button"
          [ngClass]="{'sr-active-language':selectedLanguage?.code === 'en'}"
          (click)="onLanguageChange(ENGLISH_LANGUAGE)"
          [euiBasicButton]="true" euiButton>
          <strong class="eui-u-mr-s">EN</strong><span
        class="eui-u-c-primary">English</span>
      </button>
      @for (locale of locales; track locale) {
        <button
          class="sr-language-selector-button"
          [ngClass]="{'sr-active-language':selectedLanguage?.code === locale?.language?.code}"
          (click)="onLanguageChange(locale?.language)" euiBasicButton euiButton>
          <strong class="eui-u-mr-s ">{{ locale?.language?.code | uppercase }}</strong>
          <span class="eui-u-c-primary ">{{ locale?.language?.name }}</span>
        </button>
      }
    </div>
  </eui-popover>
}
</div>

